export default class AbstractIssue {
    ruleName;
    constructor(args) {
        if (!args || !args.ruleName) {
            throw new Error('An issue must at least have a rule name.');
        }
        this.ruleName = args.ruleName;
    }
}
